## hamradio-maintguide 0.6

=== Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/DebianHamradio.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/DebianHamradio.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/DebianHamradio"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/DebianHamradio"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## hamradio-maintguide 0.1

=== debian/changelog ===
hamradio-maintguide (0.1) unstable; urgency=medium

  * Initial release. (Closes: #796969)

 -- Iain R. Learmonth <irl@debian.org>  Thu, 27 Aug 2015 14:45:30 +0100

=== debian/control ===
Source: hamradio-maintguide
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Iain R. Learmonth <irl@debian.org>
Section: doc
Priority: optional
Build-Depends: debhelper (>= 9), python3-sphinx | python-sphinx, texlive-latex-recommended, texlive-latex-extra, texlive-fonts-recommended
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-hamradio/hamradio-maintguide.git
Vcs-Git: http://anonscm.debian.org/git/pkg-hamradio/hamradio-maintguide.git

Package: hamradio-maintguide
Architecture: all
Depends: ${misc:Depends},
         libjs-jquery,
         libjs-underscore
Description: Debian Hamradio Maintainers Guide
 The Debian Hamradio Maintainers Guide is a document that outlines team policy
 and best current practice for the Deian Hamradio Maintainers packaging team.
 .
 The documentation is installed in both HTML and PDF format.

## hamradio-maintguide 0.2

=== debian/changelog ===
hamradio-maintguide (0.2) unstable; urgency=medium

  * Updates Vcs-* fields to use secure URIs.
  * Documented updating existing repo. (Closes: #797830)
  * debian/control:
   - Updates Vcs-* fields to use secure URIs.
   - Standards version bumped to 3.9.8.

 -- Iain R. Learmonth <irl@debian.org>  Fri, 29 Apr 2016 14:07:52 +0100

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Section: doc
 Priority: optional
 Build-Depends: debhelper (>= 9), python3-sphinx | python-sphinx, texlive-latex-recommended, texlive-latex-extra, texlive-fonts-recommended
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-hamradio/hamradio-maintguide.git
-Vcs-Git: http://anonscm.debian.org/git/pkg-hamradio/hamradio-maintguide.git
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-hamradio/hamradio-maintguide.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-hamradio/hamradio-maintguide.git
 
 Package: hamradio-maintguide
 Architecture: all

## hamradio-maintguide 0.3

=== debian/changelog ===
hamradio-maintguide (0.3) unstable; urgency=medium

  * Add build dependency on texlive-generic-extra for iftex.sty (Closes:
    #830448)

 -- Iain R. Learmonth <irl@debian.org>  Mon, 25 Jul 2016 19:45:23 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,12 @@
 Uploaders: Iain R. Learmonth <irl@debian.org>
 Section: doc
 Priority: optional
-Build-Depends: debhelper (>= 9), python3-sphinx | python-sphinx, texlive-latex-recommended, texlive-latex-extra, texlive-fonts-recommended
+Build-Depends: debhelper (>= 9),
+               python3-sphinx | python-sphinx,
+               texlive-latex-recommended,
+               texlive-latex-extra,
+               texlive-fonts-recommended,
+               texlive-generic-extra
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-hamradio/hamradio-maintguide.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-hamradio/hamradio-maintguide.git

## hamradio-maintguide 0.4

=== debian/changelog ===
hamradio-maintguide (0.4) unstable; urgency=medium

  * Add build dependency on latexmk (Closes: #872202)

 -- Iain R. Learmonth <irl@debian.org>  Sun, 08 Oct 2017 00:33:34 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,8 @@
                texlive-latex-recommended,
                texlive-latex-extra,
                texlive-fonts-recommended,
-               texlive-generic-extra
+               texlive-generic-extra,
+               latexmk
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-hamradio/hamradio-maintguide.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-hamradio/hamradio-maintguide.git

## hamradio-maintguide 0.5

=== debian/changelog ===
hamradio-maintguide (0.5) unstable; urgency=medium

  * Team upload.
  * Point Vcs headers at salsa.
  * Drop sphinx.ext.pngmath usage, not needed. (Closes: #922253)
  * Multi-Arch: foreign.
  * Remove _build/ on clean.

 -- Christoph Berg <christoph.berg@credativ.de>  Mon, 18 Feb 2019 10:06:37 +0100

=== debian/control ===
--- 
+++ 
@@ -10,12 +10,13 @@
                texlive-fonts-recommended,
                texlive-generic-extra,
                latexmk
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-hamradio/hamradio-maintguide.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-hamradio/hamradio-maintguide.git
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/hamradio-maintguide
+Vcs-Git: https://salsa.debian.org/debian-hamradio-team/hamradio-maintguide.git
 
 Package: hamradio-maintguide
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends},
          libjs-jquery,
          libjs-underscore

## hamradio-maintguide 0.5+nmu1

=== debian/changelog ===
hamradio-maintguide (0.5+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 13:21:39 +0800

## hamradio-maintguide 0.6

=== debian/changelog ===
hamradio-maintguide (0.6) unstable; urgency=medium

  * Packaging:
   - No longer talk about priority extra
   - Add a subsection about the /var/ax25 directory and that it is
     preferred over /var/lib/ax25
  * Compat level bumped to 12
  * d/control:
   - Update dependency for texlive-plain-generic (Fixes: #933283)
   - Update standards-version to 4.4.0
  * d/copyright:
   - Use secure URL for Format

 -- Iain R. Learmonth <irl@debian.org>  Mon, 05 Aug 2019 19:14:25 +0100

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Uploaders: Iain R. Learmonth <irl@debian.org>
 Section: doc
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 12),
                python3-sphinx | python-sphinx,
                texlive-latex-recommended,
                texlive-latex-extra,
                texlive-fonts-recommended,
-               texlive-generic-extra,
+               texlive-plain-generic,
                latexmk
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/hamradio-maintguide
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/hamradio-maintguide.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	make html
	-rm -f _build/html/_static/jquery.js
	-rm -f _build/html/_static/underscore.js
	make latexpdf

## hamradio-maintguide 0.7

=== debian/changelog ===
hamradio-maintguide (0.7) unstable; urgency=medium

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.5.0, no changes needed.

  [ Daniele Forsi ]
  * Fix typos

  [ tony mancill ]
  * Add build-dep on tex-gyre to address FTBFS (Closes: #997459)
  * Use debhelper-compat 13
  * Bump standards version to 4.6.0, no changes needed
  * Update Uploaders (Closes: #986960)
    Thank you to Iain for maintaining hamradio-maintguide!
  * Update for Alioth -> Salsa migration (Closes: #916478)
    Thank you Ana Custura for the patch.
  * Update debhelper guidance and references to current "stable" (bullseye)
  * Replace QA section on PET with Debian Package Tracker
  * Update Changelog in index.

 -- tony mancill <tmancill@debian.org>  Sun, 21 Nov 2021 11:27:25 -0800

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: hamradio-maintguide
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
-Uploaders: Iain R. Learmonth <irl@debian.org>
+Uploaders: tony mancill <tmancill@debian.org>
 Section: doc
 Priority: optional
-Build-Depends: debhelper (>= 12),
+Build-Depends: debhelper-compat (= 13),
+               latexmk,
                python3-sphinx | python-sphinx,
+	       tex-gyre,
                texlive-latex-recommended,
                texlive-latex-extra,
                texlive-fonts-recommended,
                texlive-plain-generic,
-               latexmk
-Standards-Version: 4.4.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/hamradio-maintguide
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/hamradio-maintguide.git

## hamradio-maintguide 0.7build1

=== debian/changelog ===
hamradio-maintguide (0.7build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 28 Nov 2025 22:05:38 +0100
